<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ todo_list_detail  }}</title>
</head>
<body>
    <main>
        <div>
            <h1>{{  todo_list_detail  }}</h1>
            <a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a>
            <p><a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a></p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in todo_list_detail.items.all %}
                        <tr>
                            <td><a href="{% url 'todo_item_update' task.id %}">{{ task.task }}</a></td>
                            <td>{{  task.due_date|date:'M j, Y'  }}</td>
                        </tr>
                    {% endfor %}

                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
